{% extends 'user-account/base.html.twig' %}

{% block body %}
    <form class="form-login" action="{{ path('login') }}" method="post">
        <img src="{{ asset('img/logo.png') }}" height="60" alt="Blog php logo" class="mb-4">
        <h1 class="h3 mb-3 font-weight-normal">Connexion</h1>
        <div id="form-errors">
            {% if errors is defined and errors is not empty %}
                <div class="alert alert-danger">
                    <button type="button" class="close" data-dismiss="alert">&times;</button>
                    {% if errors|length == 1 %}
                        {{ errors[0].message }}
                    {% else %}
                        <ul>
                           {% for error in errors %}
                               {{ error.message }}
                           {% endfor %}
                        </ul>
                    {% endif %}
                    {% for error in errors %}
                    {% endfor %}
                </div>
            {% endif %}
        </div>
        <label for="_email" class="sr-only">Adresse email</label>
        <input type="email" id="_email" name="_email" class="form-control" placeholder="Adresse email" required
               autofocus>
        <label for="_password" class="sr-only">Mot de passe</label>
        <input type="password" id="_password" name="_password" class="form-control" placeholder="Mot de passe" required>
        <button class="btn btn-lg btn-primary btn-block" type="submit">Se connecter</button>
        <p>
            Pas encore inscrit ? <a href="{{ path('signin') }}">Créer un compte</a>
        </p>
        <p>
            <a href="{{ path('home') }}">Retour à l'accueil</a>
        </p>
    </form>
{% endblock %}